Skip to content

Get workflow

GET
/workflows/{workflowId}
curl --request GET \
--url https://safe-api.safetyradar.com/v2/workflows/550e8400-e29b-41d4-a716-446655440001 \
--header 'Authorization: Bearer <token>' \
--header 'x-team: my-team-slug'

Get a single workflow by ID. Returns the active version including the full definition.

workflowId
required

Workflow ID (UUID)

string format: uuid
Example
550e8400-e29b-41d4-a716-446655440001

Workflow ID (UUID)

x-team

Deprecated — accepted but ignored; the v2 API is org-scoped.

string
Example
my-team-slug

Deprecated — accepted but ignored; the v2 API is org-scoped.

Workflow details

Media typeapplication/json
object
data
required
object
id
required
string format: uuid
organizationId
required
string format: uuid
teamId
required
string format: uuid
nullable
flowType
required
string
name
required
string
version
required
integer
>= -2147483648 <= 2147483647
isActive
required
boolean
createdById
required
string format: uuid
nullable
draftDefinition
required
Any of:
string
definition
required
Any of:
string
createdAt
required
string
updatedAt
required
string
deletedAt
required
string
nullable
Examplegenerated
{
"data": {
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"organizationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"teamId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"flowType": "example",
"name": "example",
"version": 1,
"isActive": true,
"createdById": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"draftDefinition": {
"additionalProperty": "example"
},
"definition": {
"additionalProperty": "example"
},
"createdAt": "example",
"updatedAt": "example",
"deletedAt": "example"
}
}

Unauthorized

Media typeapplication/json
object
code
required
string
message
required
string
details
object
key
additional properties
nullable
Examplegenerated
{
"code": "example",
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Workflow not found

Media typeapplication/json
object
code
required
string
message
required
string
details
object
key
additional properties
nullable
Examplegenerated
{
"code": "example",
"message": "example",
"details": {
"additionalProperty": "example"
}
}